org.fife.ui.rtextarea

## Class RTextArea.RTextAreaMutableCaretEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.CaretEvent
    - - org.fife.ui.rtextarea.RTextArea.RTextAreaMutableCaretEvent

All Implemented Interfaces:
  FocusListener, MouseListener, MouseMotionListener, Serializable, EventListener

Enclosing class:
  RTextArea

    protected class RTextArea.RTextAreaMutableCaretEvent
    extends CaretEvent

Modified from `MutableCaretEvent` in `JTextComponent` so that mouse events get fired when the user is selecting text with the mouse as well. This class also displays the popup menu when the user right-clicks in the text area.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`protected` `RTextArea.RTextAreaMutableCaretEvent(RTextArea textArea)`

### Method Summary

Methods
`void` `focusGained(FocusEvent e)`
`void` `focusLost(FocusEvent e)`
`void` `mouseDragged(MouseEvent e)`
`void` `mousePressed(MouseEvent e)`
`void` `mouseReleased(MouseEvent e)`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RTextArea.RTextAreaMutableCaretEvent

    protected RTextArea.RTextAreaMutableCaretEvent(RTextArea textArea)

### Method Detail

#### focusGained

    public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

#### focusLost

    public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`

#### mouseDragged

    public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`

#### mousePressed

    public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

#### mouseReleased

    public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`